> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue OAuth Access Token

> A `POST` to the `/auth/token` endpoint exchanges a valid OAuth grant for an access token.



## OpenAPI

````yaml post /v3/auth/token
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/auth/token:
    post:
      tags:
        - O Auth Access Token
      summary: Issue OAuth Access Token
      description: >-
        A `POST` to the `/auth/token` endpoint exchanges a valid OAuth grant for
        an access token.
      operationId: passport.token
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                resource:
                  type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    const: invalid_target
                  error_description:
                    type: string
                    const: The resource parameter must identify this MCP server.
                required:
                  - error
                  - error_description
          headers:
            Cache-Control:
              schema:
                type: string
                const: no-store
            Pragma:
              schema:
                type: string
                const: no-cache

````